%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           lybniz
Version:        1.3.2
Release:        %mkrel 12
Summary:        A function graph plotter

Group:          Sciences/Mathematics
License:        BSD
URL:            http://sourceforge.net/projects/lybniz2
Source0:        http://downloads.sourceforge.net/lybniz2/%{name}-%{version}.tar.gz
Source1:        %{name}-startup.sh
Source2:        %{name}.desktop
# https://sourceforge.net/p/lybniz2/patches/5 and https://www.transifex.com/Magic/lybniz
Source3:        %{name}-i18n-%{version}.tar.gz
# from Debian
Source4:        %{name}.1
# https://sourceforge.net/p/lybniz2/patches/2
Patch0:         %{name}-%{version}-mga-invalidfunction.patch

BuildArch:       noarch
Requires:        python >= 2.4
Requires:        pygtk2.0 >= 2.6
BuildRequires:   python-devel

%description
Lybniz is an easy to use mathematical function graph plotter using PyGTK.

%prep
%setup -q
tar -xf %{SOURCE3}
%patch0 -p1
cp -f %{SOURCE2} ./
cp -f %{SOURCE4} ./
#fix url
sed -i "s|lybniz2.sourceforge.net|sourceforge.net/projects/lybniz2|g" ./%{name}.py
sed -i "s|lybniz2.sourceforge.net|sourceforge.net/projects/lybniz2|g" ./PKG-INFO
sed -i "s|lybniz2.sourceforge.net|sourceforge.net/projects/lybniz2|g" ./README
sed -i "s|lybniz2.sourceforge.net|sourceforge.net/projects/lybniz2|g" ./doc/%{name}.xml
sed -i "s|lybniz2.sourceforge.net|sourceforge.net/projects/lybniz2|g" ./setup.py
sed -i "s|lybniz2.sourceforge.net|sourceforge.net/projects/lybniz2|g" ./%{name}.1

%build
%{__python} setup.py build
pushd po
./%{name}-i18n
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# make dirs
install -d -m755 %{buildroot}%{_datadir}/%{name}

# setup.py installs to /usr/bin/lybniz.py - Let's move it out of there and use
# a startup script instead
mv %{buildroot}/%{_bindir}/%{name}.py %{buildroot}%{_datadir}/%{name}

# startup script
install -m755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}

# i18n
cp -af locale %{buildroot}%{_datadir}
%find_lang %{name}

# man page
install -Dm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{name}.lang
%doc AUTHORS ChangeLog PKG-INFO README
%{python_sitelib}/%{name}*
%{_datadir}/%{name}
%{_bindir}/*
%{_datadir}/pixmaps/*%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Sat Jan 14 2017 alexl <alexl> 1.3.2-12.mga6
+ Revision: 1081602
- update langs from transifex

* Sat Feb 20 2016 umeabot <umeabot> 1.3.2-11.mga6
+ Revision: 972488
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 alexl <alexl> 1.3.2-10.mga6
+ Revision: 900214
- add man page from Debian
- update langs from transifex

* Wed Jul 15 2015 alexl <alexl> 1.3.2-9.mga6
+ Revision: 854519
- add i18n support
- update invalidfunction.patch for gettext

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-8.mga5
+ Revision: 740832
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 alexl <alexl> 1.3.2-7.mga5
+ Revision: 738080
- indicating invalid functions (invalidfunction.patch), thanks to Gjermud Bjaanes

* Mon Sep 29 2014 alexl <alexl> 1.3.2-6.mga5
+ Revision: 731732
- deleted unused patch (exec-desktop)

* Sat Sep 27 2014 tv <tv> 1.3.2-5.mga5
+ Revision: 727020
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-4.mga5
+ Revision: 682104
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 alexl <alexl> 1.3.2-3.mga5
+ Revision: 659983
- added GenericName in desktop file
- translated desktop file

* Sat May 31 2014 pterjan <pterjan> 1.3.2-2.mga5
+ Revision: 628320
- Rebuild for new Python

* Thu Apr 17 2014 alexl <alexl> 1.3.2-1.mga5
+ Revision: 615433
- imported package lybniz

